> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put apiv1institutionreadiness policy



## OpenAPI

````yaml /api/openapi.json put /api/v1/institution/readiness-policy
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/institution/readiness-policy:
    put:
      tags:
        - people
      operationId: updateReadinessPolicy
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReadinessPolicy'
              properties: {}
              required: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Institution'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ReadinessPolicy:
      type: object
      properties:
        rubricId:
          type: string
          minLength: 1
        minimumPercent:
          anyOf:
            - type: integer
              minimum: 0
              maximum: 100
            - type: 'null'
      required:
        - rubricId
        - minimumPercent
      additionalProperties: false
    Institution:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
        shortName:
          type: string
          minLength: 1
        accent:
          $ref: '#/components/schemas/Accent'
        setupComplete:
          type: boolean
        policy:
          $ref: '#/components/schemas/AiPolicy'
        accessPolicy:
          $ref: '#/components/schemas/AccessPolicy'
        templateId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        readinessPolicy:
          $ref: '#/components/schemas/ReadinessPolicy'
      required:
        - id
        - name
        - shortName
        - accent
        - setupComplete
        - policy
        - accessPolicy
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    Accent:
      type: string
      enum:
        - teal
        - blue
        - plum
        - rust
    AiPolicy:
      type: object
      properties:
        aiAuthoring:
          type: boolean
        tutorModes:
          type: object
          properties:
            graded:
              type: array
              items:
                $ref: '#/components/schemas/TutorMode'
            practice:
              type: array
              items:
                $ref: '#/components/schemas/TutorMode'
          required:
            - graded
            - practice
          additionalProperties: false
      required:
        - aiAuthoring
        - tutorModes
      additionalProperties: false
    AccessPolicy:
      type: object
      properties:
        minimumScore:
          type: integer
          minimum: 0
          maximum: 100
        blockingSeverities:
          type: array
          items:
            type: string
            enum:
              - critical
              - serious
              - moderate
              - minor
      required:
        - minimumScore
        - blockingSeverities
      additionalProperties: false
    TutorMode:
      type: string
      enum:
        - 'off'
        - hints
        - explain
        - open
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````